(((kind "manual-section") (section-title "Definition of non-R4RS Scheme functions.") (section-body "
The functions in this section are general purpose functions which happen
not to be in the Scheme standard (R4RS).

")) ((kind "manual-page") (description "Return the current time in seconds
") (title "current-time") (form (current-time))) ((kind "manual-page") (description "Sort list using the comparison predicate
") (title "sort-list") (form (sort-list list com))) ((kind "manual-page") (description "Make a new directory, new-dir, in the directory path (first parameter).
The parameter in-directory-path ends in a slash.
") (title "make-directory-in-directory") (form (make-directory-in-directory in-directory-path new-dir))) ((kind "manual-page") (description "Mail sending support: Send an email to a receiver.
Not implemented on mzscheme on the PC platform.
") (title "mail") (form (mail receiver title contents))) ((kind "manual-section") (section-title "LAML specific, context definition functions.") (section-body "
The functions in this section return and define the activation context of the LAML processor.


")) ((kind "manual-page") (description "Return the contextual command line information passed to LAML upon activation.
Returns a list of lenght four or #f if no command line activation exists.
The first element must be the symbol laml (a tag).
Element number two must be the laml source file name (without extension and initial path).
Element number three must be a slash terminated, full directory path (with forward slashes), in which the source file resides.
Element number four must be a list of program parameters.
This function must be redefined in Scheme-system/OS/platform dependent compatibility file.
") (title "laml-canonical-command-line") (form (laml-canonical-command-line))) ((kind "manual-page") (description "Fake the contextual startup parameters to a specific source file name and a specific startup directory.
Both of the parameters must be strings, or the boolean value #f (in case the informations are unknown).
Source-file must be a file name without initial path and without extension.
start-dir must be an absolute path to a directory ending in a slash /.
This function is useful for programmatic startup of LAML.
This function must be redefined in scheme-system dependent compatibility file") (form "(fake-startup-parameters source-file startup-dir [program-parameter-list])") (title "fake-startup-parameters")))